import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartElasticsearchServiceSoftwareUpdateInput } from "../types/StartElasticsearchServiceSoftwareUpdateInput";
import { StartElasticsearchServiceSoftwareUpdateOutput } from "../types/StartElasticsearchServiceSoftwareUpdateOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/StartElasticsearchServiceSoftwareUpdateInput";
export * from "../types/StartElasticsearchServiceSoftwareUpdateOutput";
export * from "../types/StartElasticsearchServiceSoftwareUpdateExceptionsUnion";
export declare class StartElasticsearchServiceSoftwareUpdateCommand implements __aws_sdk_types.Command<InputTypesUnion, StartElasticsearchServiceSoftwareUpdateInput, OutputTypesUnion, StartElasticsearchServiceSoftwareUpdateOutput, ElasticsearchServiceResolvedConfiguration, Blob> {
    readonly input: StartElasticsearchServiceSoftwareUpdateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartElasticsearchServiceSoftwareUpdateInput, StartElasticsearchServiceSoftwareUpdateOutput, Blob>;
    constructor(input: StartElasticsearchServiceSoftwareUpdateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<StartElasticsearchServiceSoftwareUpdateInput, StartElasticsearchServiceSoftwareUpdateOutput>;
}
