"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteElasticsearchServiceRoleInput_1 = require("../shapes/DeleteElasticsearchServiceRoleInput");
var DeleteElasticsearchServiceRoleOutput_1 = require("../shapes/DeleteElasticsearchServiceRoleOutput");
var BaseException_1 = require("../shapes/BaseException");
var InternalException_1 = require("../shapes/InternalException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteElasticsearchServiceRole = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteElasticsearchServiceRole",
    http: {
        method: "DELETE",
        requestUri: "/2015-01-01/es/role"
    },
    input: {
        shape: DeleteElasticsearchServiceRoleInput_1.DeleteElasticsearchServiceRoleInput
    },
    output: {
        shape: DeleteElasticsearchServiceRoleOutput_1.DeleteElasticsearchServiceRoleOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=DeleteElasticsearchServiceRole.js.map