"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeElasticsearchInstanceTypeLimitsInput_1 = require("../shapes/DescribeElasticsearchInstanceTypeLimitsInput");
var DescribeElasticsearchInstanceTypeLimitsOutput_1 = require("../shapes/DescribeElasticsearchInstanceTypeLimitsOutput");
var BaseException_1 = require("../shapes/BaseException");
var InternalException_1 = require("../shapes/InternalException");
var InvalidTypeException_1 = require("../shapes/InvalidTypeException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeElasticsearchInstanceTypeLimits = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeElasticsearchInstanceTypeLimits",
    http: {
        method: "GET",
        requestUri: "/2015-01-01/es/instanceTypeLimits/{ElasticsearchVersion}/{InstanceType}"
    },
    input: {
        shape: DescribeElasticsearchInstanceTypeLimitsInput_1.DescribeElasticsearchInstanceTypeLimitsInput
    },
    output: {
        shape: DescribeElasticsearchInstanceTypeLimitsOutput_1.DescribeElasticsearchInstanceTypeLimitsOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: InvalidTypeException_1.InvalidTypeException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=DescribeElasticsearchInstanceTypeLimits.js.map