"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetCompatibleElasticsearchVersionsInput_1 = require("../shapes/GetCompatibleElasticsearchVersionsInput");
var GetCompatibleElasticsearchVersionsOutput_1 = require("../shapes/GetCompatibleElasticsearchVersionsOutput");
var BaseException_1 = require("../shapes/BaseException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var DisabledOperationException_1 = require("../shapes/DisabledOperationException");
var ValidationException_1 = require("../shapes/ValidationException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetCompatibleElasticsearchVersions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetCompatibleElasticsearchVersions",
    http: {
        method: "GET",
        requestUri: "/2015-01-01/es/compatibleVersions"
    },
    input: {
        shape: GetCompatibleElasticsearchVersionsInput_1.GetCompatibleElasticsearchVersionsInput
    },
    output: {
        shape: GetCompatibleElasticsearchVersionsOutput_1.GetCompatibleElasticsearchVersionsOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: DisabledOperationException_1.DisabledOperationException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=GetCompatibleElasticsearchVersions.js.map