import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetUpgradeStatusInput } from "../types/GetUpgradeStatusInput";
import { GetUpgradeStatusOutput } from "../types/GetUpgradeStatusOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/GetUpgradeStatusInput";
export * from "../types/GetUpgradeStatusOutput";
export * from "../types/GetUpgradeStatusExceptionsUnion";
export declare class GetUpgradeStatusCommand implements __aws_sdk_types.Command<InputTypesUnion, GetUpgradeStatusInput, OutputTypesUnion, GetUpgradeStatusOutput, ElasticsearchServiceResolvedConfiguration, Blob> {
    readonly input: GetUpgradeStatusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetUpgradeStatusInput, GetUpgradeStatusOutput, Blob>;
    constructor(input: GetUpgradeStatusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<GetUpgradeStatusInput, GetUpgradeStatusOutput>;
}
