"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetUpgradeStatus_1 = require("../model/operations/GetUpgradeStatus");
var GetUpgradeStatusCommand = /** @class */ (function () {
    function GetUpgradeStatusCommand(input) {
        this.input = input;
        this.model = GetUpgradeStatus_1.GetUpgradeStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetUpgradeStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetUpgradeStatusCommand;
}());
exports.GetUpgradeStatusCommand = GetUpgradeStatusCommand;
//# sourceMappingURL=GetUpgradeStatusCommand.js.map