"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListDomainNames_1 = require("../model/operations/ListDomainNames");
var ListDomainNamesCommand = /** @class */ (function () {
    function ListDomainNamesCommand(input) {
        this.input = input;
        this.model = ListDomainNames_1.ListDomainNames;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListDomainNamesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListDomainNamesCommand;
}());
exports.ListDomainNamesCommand = ListDomainNamesCommand;
//# sourceMappingURL=ListDomainNamesCommand.js.map