"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateElasticsearchDomainConfig_1 = require("../model/operations/UpdateElasticsearchDomainConfig");
var UpdateElasticsearchDomainConfigCommand = /** @class */ (function () {
    function UpdateElasticsearchDomainConfigCommand(input) {
        this.input = input;
        this.model = UpdateElasticsearchDomainConfig_1.UpdateElasticsearchDomainConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateElasticsearchDomainConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateElasticsearchDomainConfigCommand;
}());
exports.UpdateElasticsearchDomainConfigCommand = UpdateElasticsearchDomainConfigCommand;
//# sourceMappingURL=UpdateElasticsearchDomainConfigCommand.js.map