"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteElasticsearchDomainInput_1 = require("../shapes/DeleteElasticsearchDomainInput");
var DeleteElasticsearchDomainOutput_1 = require("../shapes/DeleteElasticsearchDomainOutput");
var BaseException_1 = require("../shapes/BaseException");
var InternalException_1 = require("../shapes/InternalException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteElasticsearchDomain = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteElasticsearchDomain",
    http: {
        method: "DELETE",
        requestUri: "/2015-01-01/es/domain/{DomainName}"
    },
    input: {
        shape: DeleteElasticsearchDomainInput_1.DeleteElasticsearchDomainInput
    },
    output: {
        shape: DeleteElasticsearchDomainOutput_1.DeleteElasticsearchDomainOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=DeleteElasticsearchDomain.js.map