"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListElasticsearchVersionsInput_1 = require("../shapes/ListElasticsearchVersionsInput");
var ListElasticsearchVersionsOutput_1 = require("../shapes/ListElasticsearchVersionsOutput");
var BaseException_1 = require("../shapes/BaseException");
var InternalException_1 = require("../shapes/InternalException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListElasticsearchVersions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListElasticsearchVersions",
    http: {
        method: "GET",
        requestUri: "/2015-01-01/es/versions"
    },
    input: {
        shape: ListElasticsearchVersionsInput_1.ListElasticsearchVersionsInput
    },
    output: {
        shape: ListElasticsearchVersionsOutput_1.ListElasticsearchVersionsOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=ListElasticsearchVersions.js.map