"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PurchaseReservedElasticsearchInstanceOfferingInput_1 = require("../shapes/PurchaseReservedElasticsearchInstanceOfferingInput");
var PurchaseReservedElasticsearchInstanceOfferingOutput_1 = require("../shapes/PurchaseReservedElasticsearchInstanceOfferingOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var DisabledOperationException_1 = require("../shapes/DisabledOperationException");
var ValidationException_1 = require("../shapes/ValidationException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PurchaseReservedElasticsearchInstanceOffering = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PurchaseReservedElasticsearchInstanceOffering",
    http: {
        method: "POST",
        requestUri: "/2015-01-01/es/purchaseReservedInstanceOffering"
    },
    input: {
        shape: PurchaseReservedElasticsearchInstanceOfferingInput_1.PurchaseReservedElasticsearchInstanceOfferingInput
    },
    output: {
        shape: PurchaseReservedElasticsearchInstanceOfferingOutput_1.PurchaseReservedElasticsearchInstanceOfferingOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: DisabledOperationException_1.DisabledOperationException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=PurchaseReservedElasticsearchInstanceOffering.js.map